generator:
  class: sfPropelGenerator
  param:
    model_class:           Empresa
    theme:                 fusion
    css:                   screen
    non_verbose_templates: true
    with_show:             false
    singular:              Empresa
    plural:                Empresas
    route_prefix:          empresa
    with_propel_route:     1
    actions_base_class:    sfActions

    config:
      actions: ~
      fields:
          prefijo:         {attributes: {class: form-control}}
          nombre:          {attributes: {class: form-control}}
          telefono:        {attributes: {class: form-control}}
          direccion:       {attributes: {class: form-control}}
          encargado:       {attributes: {class: form-control}}
          observaciones:   {attributes: {class: form-control}}
      list:
          display:         [prefijo, nombre,telefono]
          title:           Listado de Empresas
      filter:
          display:         [prefijo, nombre,telefono]
      form:
          display:         [prefijo, nombre,direccion,telefono,encargado, observaciones]
      edit:
          title:           Editar Empresa %%NOMBRE%%
      new:
          title:           Nueva Empresa
